Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.access
Class QAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess

Direct Known Subclasses:
  AddAccess, AddSeparatorAccess, ContentPaneAccess, QAccessWrapper, QFieldAccess, QIgnore, QListAccess, QMALAccess, QMapAccess, QPropertyAccess, QSimpleAccess, SizeAccess, WindowListenerAccess

public class QAccess
extends Object

Constructor Summary
`QAccess()`

Method Summary
`void` | `add(Object parentObject, QTargetFactory parentFactory, Object childObject, QContext context)`
`QIterator` | `allocateIterator(Object parent, QTargetFactory parentFactory, QContext context)`
`QIterator` | `createIterator()`
`boolean` | `readable(QTargetFactory parentFactory, QContext context)`
`void` | `releaseIterator(QIterator iterator)`
`int` | `reserve(QTargetFactory parentFactory, Object parentObject, QContext context)`
`void` | `set(int reserved, Object parentObject, QTargetFactory parentFactory, Object childObject, QContext context)`
`void` | `setIteratorParent(QIterator it, Object parent, QTargetFactory parentFactory, QContext context)`
`boolean` | `writeable(QTargetFactory parentFactory, QContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QAccess

    public QAccess()

Method Detail

### writeable

    public boolean writeable(QTargetFactory parentFactory,
                             QContext context)
                      throws QPE

### add

    public void add(Object parentObject,
                    QTargetFactory parentFactory,
                    Object childObject,
                    QContext context)
             throws QPE

### reserve

    public int reserve(QTargetFactory parentFactory,
                       Object parentObject,
                       QContext context)
                throws QPE

### set

    public void set(int reserved,
                    Object parentObject,
                    QTargetFactory parentFactory,
                    Object childObject,
                    QContext context)
             throws QPE

### readable

    public boolean readable(QTargetFactory parentFactory,
                            QContext context)
                     throws QPE

### createIterator

    public QIterator createIterator()

### setIteratorParent

    public void setIteratorParent(QIterator it,
                                  Object parent,
                                  QTargetFactory parentFactory,
                                  QContext context)
                           throws QPE

### allocateIterator

    public final QIterator allocateIterator(Object parent,
                                            QTargetFactory parentFactory,
                                            QContext context)
                                     throws QPE

### releaseIterator

    public final void releaseIterator(QIterator iterator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD